#ifndef LIBWCCL_LEXICON_LEXICONPARSER_H
#define LIBWCCL_LEXICON_LEXICONPARSER_H

#include <boost/shared_ptr.hpp>

namespace Wccl {

class Lexicon;

class LexiconParser
{
public:
	static boost::shared_ptr<Lexicon> parse_lexicon(
		const std::string& lexicon_name,
		const std::string& path);
};
} /* end ns Wccl */

#endif // LIBWCCL_LEXICON_LEXICONPARSER_H
